Uploaded image for project: 'CDAP'
  1. CDAP
  2. CDAP-5884

Unable to build sdk with 3.3.x versions of maven

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.4.1
    • Component/s: Build System
    • Labels:
      None
    • Release Notes:
      Fixed a bug that caused SDK builds to fail when using 3.3.x versions of maven.
    • Rank:
      1|hzzchj:

      Description

      When I run the command in BUILD.rst to build the standalone zip, I get:

      [ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.1:compile (default-compile) on project cdap-integration-test: Compilation failure: Compilation failure:
      [ERROR] /Users/ashau/dev/cdap/cdap-integration-test/src/main/java/co/cask/cdap/test/IntegrationTestManager.java:[29,38] package co.cask.cdap.app.runtime.spark does not exist
      [ERROR] /Users/ashau/dev/cdap/cdap-integration-test/src/main/java/co/cask/cdap/test/IntegrationTestManager.java:[108,32] package SparkRuntimeUtils does not exist
      

      I've tried this on both develop and release/3.4. It might be something related to my environment, as release 3.4.0 has already been released without issue.
      I'm also not really sure why its building cdap-integration-test since its not a dependency of anything.

        Attachments

          Activity

            People

            • Assignee:
              ashau Albert Shau
              Reporter:
              ashau Albert Shau
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: